#include "darwin_robot.h"
#include "darwin_robot_exceptions.h"
#include "action_id.h"

#include <iostream>

std::string robot_device="A603LOBS";
//std::string robot_device="A4008atn";

int main(int argc, char *argv[])
{
  int i=0,num_servos;
  unsigned int present_servos;

  try{
    CDarwinRobot darwin("Darwin",robot_device,1000000,0x02);

    num_servos=darwin.mm_get_num_servos();
    present_servos=darwin.mm_get_present_servos();
    std::cout << "Found " << num_servos << " servos " << std::endl;
    std::cout << "Present servos: " << std::hex << "0x" << present_servos << std::dec << std::endl;
    // enable all servos and assign them to the action module
    darwin.mm_enable_power();
    sleep(1);
    for(i=0;i<MAX_NUM_SERVOS;i++)
    {
      darwin.mm_enable_servo(i);
      darwin.mm_assign_module(i,DARWIN_MM_ACTION);
    }
    darwin.mm_start();
    // execute an action
    darwin.action_load_page(WALK_READY);
    darwin.action_start();
    while(darwin.action_is_page_running())
    {
      std::cout << "action running ... " << std::endl;
      usleep(100000);
    }
    darwin.mm_stop();
    darwin.mm_disable_power();
  }catch(CException &e){
    std::cout << e.what() << std::endl;
  }
}
