#include "darwin_robot.h"
#include "darwin_robot_exceptions.h"

#include <iostream>

std::string robot_device="A603LOBS";
//std::string robot_device="A4008atn";

int main(int argc, char *argv[])
{
  unsigned int i=0;

  try{
    CDarwinRobot darwin("Darwin",robot_device,1000000,0x02);
    std::cout << "found darwin controller" << std::endl;
    darwin.gpio_blink_led(LED_TX,1000);
    darwin.gpio_blink_led(LED_RX,2000);
    darwin.gpio_blink_led(LED_2,4000);
    darwin.gpio_blink_led(LED_3,8000);
    darwin.gpio_set_led(LED_4);
    darwin.gpio_aux1_color(1.0,1.0,1.0);
    darwin.gpio_aux2_color(0.5,0.5,0.5);
    for(i=0;i<100;i++)
    {
      if(darwin.is_button_pressed(START_PB))
        std::cout << "start button pressed" << std::endl;
      else
        std::cout << "start button not pressed" << std::endl;
      usleep(100000);
    }
    darwin.gpio_blink_led(LED_TX,0);
    darwin.gpio_blink_led(LED_RX,0);
    darwin.gpio_blink_led(LED_2,0);
    darwin.gpio_blink_led(LED_3,0);
    darwin.gpio_clear_led(LED_4);
    darwin.gpio_aux1_color(0.0,0.0,0.0);
    darwin.gpio_aux2_color(0.0,0.0,0.0);
    sleep(10);
  }catch(CException &e){
    std::cout << e.what() << std::endl;
  }
}
